Skip to contentSkip to page list

Docs

Get annotations

GET/api/v1/annotations
Request and response examples
request.py
import osimport requests​origin = "https://app.langwatch.ai"path = "/api/v1/annotations"api_key = os.environ["LANGWATCH_API_KEY"]headers = {    "X-Auth-Token": api_key,}​response = requests.get(    origin + path,    headers=headers,)print(response.json())

Success

application/json · Generated from schema

{  "data": [    {      "id": "string",      "projectId": "string",      "traceId": "string",      "userId": "string",      "email": "string",      "comment": "string",      "isThumbsUp": false,      "scoreOptions": {},      "expectedOutput": "string",      "anchorKind": "string",      "anchorId": "string",      "anchorPath": "string",      "createdAt": "2026-01-01T00:00:00Z",      "updatedAt": "2026-01-01T00:00:00Z"    }  ]}
api-reference/annotations/get-annotation

Authorization

X-Auth-Tokenstringheaderrequired

Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.

Query parameters

anchorstring

Responses

200

Success

application/json

dataobject[]required
idstringrequired
At least 1 character
projectIdstringrequired
At least 1 character
traceIdstringrequired
At least 1 character
userIdstring | nullrequired
emailstring | nullrequired
commentstring | nullrequired
isThumbsUpboolean | nullrequired
scoreOptionsobjectrequired
expectedOutputstring | nullrequired
anchorKindstring | nullrequired
anchorIdstring | nullrequired
anchorPathstring | nullrequired
createdAtstring (date-time)required
updatedAtstring (date-time)required

Documentation